Subject: [Tigers] 1/2" Clutch Master Cylinder

From: Jay <[email-masked]>
Date: Sat, 13 Aug 2022 16:58:10 -0700

I have no idea what clutch my dad has inside of the Tiger.  I know it has the 5/8” master and the pedal is by far the stiffest clutch I’ve ever used. I was thinking about putting a 1/2” master on. Tilton does make one. But I don’t know if it will fight right yet.

Anyone have any thoughts?  Maybe anyone remember what my dad might have selected inside the clutch.  I think Dan Walters worked on it and I’ve emailed him directly.

_______________________________________________

[email-masked]

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]